<?php
/**
 * Excerpt options
 *
 * @package Theme Palace
 * @subpackage  Pushpa
 * @since  Pushpa 1.0.0
 */

// Add excerpt section
$wp_customize->add_section( 'pushpa_single_post_section',
	array(
		'title'             => esc_html__( 'Single Post','pushpa' ),
		'description'       => esc_html__( 'Options to change the single posts globally.', 'pushpa' ),
		'panel'             => 'pushpa_theme_options_panel',
	)
);

// Archive date meta setting and control.
$wp_customize->add_setting( 'pushpa_theme_options[single_post_hide_date]',
	array(
		'default'           => $options['single_post_hide_date'],
		'sanitize_callback' => 'pushpa_sanitize_switch_control',
	)
);

$wp_customize->add_control( new  pushpa_Switch_Control( $wp_customize,
	'pushpa_theme_options[single_post_hide_date]',
		array(
			'label'             => esc_html__( 'Hide Date', 'pushpa' ),
			'section'           => 'pushpa_single_post_section',
			'on_off_label' 		=> pushpa_hide_options(),
		)
	)
);

// Archive author meta setting and control.
$wp_customize->add_setting( 'pushpa_theme_options[single_post_hide_author]',
	array(
		'default'           => $options['single_post_hide_author'],
		'sanitize_callback' => 'pushpa_sanitize_switch_control',
	)
);

$wp_customize->add_control( new  pushpa_Switch_Control( $wp_customize,
	'pushpa_theme_options[single_post_hide_author]',
		array(
			'label'             => esc_html__( 'Hide Author', 'pushpa' ),
			'section'           => 'pushpa_single_post_section',
			'on_off_label' 		=> pushpa_hide_options(),
		)
	)
);